<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
    rocky系列打印机
-->
<PrinterList>
    <Item name="M2000DNW" vid="300E" pid="1046">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="both"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000DNWFBCF"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1046&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000DNW.png"/>
            <Item id="imgsm" val="M2000DNW.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000DN" vid="300E" pid="1047">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000DN8E0C"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1047&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000DN.png"/>
            <Item id="imgsm" val="M2000DN.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000D" vid="300E" pid="1048">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000DCDA7"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1048&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000D.png"/>
            <Item id="imgsm" val="M2000D.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000" vid="300E" pid="104A">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000E657"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_104A&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000.png"/>
            <Item id="imgsm" val="M2000.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000W" vid="300E" pid="1059">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000W00E6"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1059&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000W.png"/>
            <Item id="imgsm" val="M2000W.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000DW" vid="300E" pid="105F">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000DW46CD"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_105F&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000DW.png"/>
            <Item id="imgsm" val="M2000DW.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2020DW" vid="300E" pid="1084">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2020DW3D4D"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1084&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2020DW.png"/>
            <Item id="imgsm" val="M2020DW.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M1800DW" vid="300E" pid="1087">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM1800DWB62C"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1087&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M1800DW.png"/>
            <Item id="imgsm" val="M1800DW.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2020W" vid="300E" pid="1082">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2020WC045"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1082&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2020W.png"/>
            <Item id="imgsm" val="M2020W.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000NW" vid="300E" pid="1016">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="both"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000NWE4CB"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1016&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000NW.png"/>
            <Item id="imgsm" val="M2000NW.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000N" vid="300E" pid="1049">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000NCA27"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1049&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000N.png"/>
            <Item id="imgsm" val="M2000N.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2020DW-JD" vid="300E" pid="1086">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2020DW-JDDD27"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1086&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2020DW-JD.png"/>
            <Item id="imgsm" val="M2020DW-JD.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2020W-JD" vid="300E" pid="1085">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_MFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2020W-JD8FE6"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1085&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2020W-JD.png"/>
            <Item id="imgsm" val="M2020W-JD.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="P2000DNW" vid="300E" pid="1041">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="both"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000DNW0FF6"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1041&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000DNW.png"/>
            <Item id="imgsm" val="P2000DNW.png"/>
        </Printer>
    </Item>
    <Item name="P2000NW" vid="300E" pid="1013">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="both"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000NW9C84"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1013&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000NW.png"/>
            <Item id="imgsm" val="P2000NW.png"/>
        </Printer>
    </Item>
    <Item name="P2000" vid="300E" pid="1045">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP200086BA"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1045&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000.png"/>
            <Item id="imgsm" val="P2000.png"/>
        </Printer>
    </Item>
    <Item name="P2000DW" vid="300E" pid="105E">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000DW3C82"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_105E&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000DW.png"/>
            <Item id="imgsm" val="P2000DW.png"/>
        </Printer>
    </Item>
    <Item name="DM25DN" vid="300E" pid="106B">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="XCD25"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="none"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="0"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliDM25DNE0A5"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_106B&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="DM25DN.png"/>
            <Item id="imgsm" val="DM25DN.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="both"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="DM25N" vid="300E" pid="1069">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="XCD25"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="none"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="0"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliDM25NE3B1"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1069&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="DM25N.png"/>
            <Item id="imgsm" val="DM25N.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="both"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="DP25" vid="300E" pid="1066">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="XCD25"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="none"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="0"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliDP2536A4"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1066&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="DP25.png"/>
            <Item id="imgsm" val="DP25.png"/>
        </Printer>
    </Item>
    <Item name="DM25" vid="300E" pid="1068">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="XCD25"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="none"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="0"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliDM253034"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1068&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="DM25.png"/>
            <Item id="imgsm" val="DM25.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="both"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="DP25DN" vid="300E" pid="106A">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="XCD25"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="none"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="0"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliDP25DNE249"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_106A&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="DP25DN.png"/>
            <Item id="imgsm" val="DP25DN.png"/>
        </Printer>
    </Item>
    <Item name="DP25N" vid="300E" pid="1067">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="XCD25"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="none"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="0"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliDP25N8FB7"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1067&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="DP25N.png"/>
            <Item id="imgsm" val="DP25N.png"/>
        </Printer>
    </Item>
    <Item name="P2020W" vid="300E" pid="1081">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2020W8DE5"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1081&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2020W.png"/>
            <Item id="imgsm" val="P2020W.png"/>
        </Printer>
    </Item>
    <Item name="P2000DN" vid="300E" pid="1042">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000DNF643"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1042&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000DN.png"/>
            <Item id="imgsm" val="P2000DN.png"/>
        </Printer>
    </Item>
    <Item name="P2000W" vid="300E" pid="1058">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000W4D46"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1058&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000W.png"/>
            <Item id="imgsm" val="P2000W.png"/>
        </Printer>
    </Item>
    <Item name="P2000N" vid="300E" pid="1044">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="etherent"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000N8587"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1044&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000N.png"/>
            <Item id="imgsm" val="P2000N.png"/>
        </Printer>
    </Item>
    <Item name="P2000D" vid="300E" pid="1043">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000D8207"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1043&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000D.png"/>
            <Item id="imgsm" val="P2000D.png"/>
        </Printer>
    </Item>
    <Item name="P2020DW" vid="300E" pid="1083">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RK_SFP_GEN2"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RK_1.00.060"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2020DW4702"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_1083&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2020DW.png"/>
            <Item id="imgsm" val="P2020DW.png"/>
        </Printer>
    </Item>
</PrinterList>
